Pullreq
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Source repository ref of the pull requests.
Source branch of the pull requests.
Target branch of the pull requests.
The substring by which the pull requests are filtered.
List of principal IDs who created pull requests.
The result should contain only entries created before this timestamp (unix millis).
The result should contain only entries created after this timestamp (unix millis).
The result should contain only entries updated before this timestamp (unix millis).
By providing this parameter the description would be excluded from the response.
falseThe result should contain entries from the desired space and of its subspaces.
falseThe maximum number of results to return.
30List of label ids used to filter pull requests.
List of label value ids used to filter pull requests.
Return only pull requests where this user is the author.
Return only pull requests where this user has created at least one comment.
Return only pull requests where this user has been mentioned.
Return only pull requests where this user has been added as a reviewer.
If true, the git diff stats would be included in the response.
falseIf true, the summary of check for the branch commit SHA would be included in the response.
falseIf true, a list of rules that apply to this branch would be included in the response.
falseOK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/pullreq?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"pull_request": {
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"check_summary": {
"error": 1,
"failure": 1,
"failure_ignored": 1,
"pending": 1,
"running": 1,
"success": 1
},
"closed": 1,
"created": 1,
"description": "text",
"edited": 1,
"is_draft": true,
"labels": [
{
"color": "blue",
"id": 1,
"key": "text",
"scope": 1,
"value": "text",
"value_color": "blue",
"value_count": 1,
"value_id": 1
}
],
"merge_base_sha": "text",
"merge_check_status": "text",
"merge_conflicts": [
"text"
],
"merge_method": "fast-forward",
"merge_target_sha": "text",
"merge_violations_bypassed": true,
"merged": 1,
"merger": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"number": 1,
"pullreq_type": "text",
"rebase_check_status": "text",
"rebase_conflicts": [
"text"
],
"root_space_id": 1,
"root_space_identifier": "text",
"rules": [
{
"identifier": "text",
"repo_path": "text",
"space_path": "text",
"state": "active",
"type": "branch"
}
],
"source_branch": "text",
"source_repo": {
"default_branch": "text",
"fork_id": 1,
"id": 1,
"identifier": "text",
"parent_id": 1,
"path": "text",
"type": "text"
},
"source_repo_id": 1,
"source_sha": "text",
"state": "closed",
"stats": {
"additions": 1,
"commits": 1,
"conversations": 1,
"deletions": 1,
"files_changed": 1,
"unresolved_count": 1
},
"substate": "",
"target_branch": "text",
"target_repo_id": 1,
"title": "text",
"updated": 1
},
"repository": {
"default_branch": "text",
"fork_id": 1,
"id": 1,
"identifier": "text",
"parent_id": 1,
"path": "text",
"type": "text"
}
}
]Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Source repository ref of the pull requests.
Source branch of the pull requests.
Target branch of the pull requests.
The substring by which the pull requests are filtered.
List of principal IDs who created pull requests.
The result should contain only entries created before this timestamp (unix millis).
The result should contain only entries created after this timestamp (unix millis).
The result should contain only entries updated before this timestamp (unix millis).
The result should contain entries from the desired space and of its subspaces.
falseList of label ids used to filter pull requests.
List of label value ids used to filter pull requests.
Return only pull requests where this user is the author.
Return only pull requests where this user has created at least one comment.
Return only pull requests where this user has been mentioned.
Return only pull requests where this user has been added as a reviewer.
If true, a list of rules that apply to this branch would be included in the response.
falseOK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/pullreq/count?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
1Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Source repository ref of the pull requests.
Source branch of the pull requests.
Target branch of the pull requests.
The substring by which the pull requests are filtered.
List of principal IDs who created pull requests.
The order of the output.
ascPossible values: The data by which the pull requests are sorted.
numberPossible values: The result should contain only entries created before this timestamp (unix millis).
The result should contain only entries created after this timestamp (unix millis).
The result should contain only entries updated before this timestamp (unix millis).
The result should contain only entries updated after this timestamp (unix millis).
By providing this parameter the description would be excluded from the response.
falseThe page to return.
1The maximum number of results to return.
30List of label ids used to filter pull requests.
List of label value ids used to filter pull requests.
Return only pull requests where this user is the author.
Return only pull requests where this user has created at least one comment.
Return only pull requests where this user has been mentioned.
Return only pull requests where this user has been added as a reviewer.
If true, the git diff stats would be included in the response.
falseIf true, the summary of check for the branch commit SHA would be included in the response.
falseIf true, a list of rules that apply to this branch would be included in the response.
falseOK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"check_summary": {
"error": 1,
"failure": 1,
"failure_ignored": 1,
"pending": 1,
"running": 1,
"success": 1
},
"closed": 1,
"created": 1,
"description": "text",
"edited": 1,
"is_draft": true,
"labels": [
{
"color": "blue",
"id": 1,
"key": "text",
"scope": 1,
"value": "text",
"value_color": "blue",
"value_count": 1,
"value_id": 1
}
],
"merge_base_sha": "text",
"merge_check_status": "text",
"merge_conflicts": [
"text"
],
"merge_method": "fast-forward",
"merge_target_sha": "text",
"merge_violations_bypassed": true,
"merged": 1,
"merger": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"number": 1,
"pullreq_type": "text",
"rebase_check_status": "text",
"rebase_conflicts": [
"text"
],
"root_space_id": 1,
"root_space_identifier": "text",
"rules": [
{
"identifier": "text",
"repo_path": "text",
"space_path": "text",
"state": "active",
"type": "branch"
}
],
"source_branch": "text",
"source_repo": {
"default_branch": "text",
"fork_id": 1,
"id": 1,
"identifier": "text",
"parent_id": 1,
"path": "text",
"type": "text"
},
"source_repo_id": 1,
"source_sha": "text",
"state": "closed",
"stats": {
"additions": 1,
"commits": 1,
"conversations": 1,
"deletions": 1,
"files_changed": 1,
"unresolved_count": 1
},
"substate": "",
"target_branch": "text",
"target_repo_id": 1,
"title": "text",
"updated": 1
}
]Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Created
Bad Request
Unauthorized
Forbidden
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 247
{
"bypass_rules": true,
"description": "text",
"is_draft": true,
"labels": [
{
"label_id": 1,
"value": "text",
"value_id": 1
}
],
"reviewer_ids": [
1
],
"source_branch": "text",
"source_repo_ref": "text",
"target_branch": "text",
"title": "text",
"user_group_reviewer_ids": [
1
]
}{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"check_summary": {
"error": 1,
"failure": 1,
"failure_ignored": 1,
"pending": 1,
"running": 1,
"success": 1
},
"closed": 1,
"created": 1,
"description": "text",
"edited": 1,
"is_draft": true,
"labels": [
{
"color": "blue",
"id": 1,
"key": "text",
"scope": 1,
"value": "text",
"value_color": "blue",
"value_count": 1,
"value_id": 1
}
],
"merge_base_sha": "text",
"merge_check_status": "text",
"merge_conflicts": [
"text"
],
"merge_method": "fast-forward",
"merge_target_sha": "text",
"merge_violations_bypassed": true,
"merged": 1,
"merger": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"number": 1,
"pullreq_type": "text",
"rebase_check_status": "text",
"rebase_conflicts": [
"text"
],
"root_space_id": 1,
"root_space_identifier": "text",
"rules": [
{
"identifier": "text",
"repo_path": "text",
"space_path": "text",
"state": "active",
"type": "branch"
}
],
"source_branch": "text",
"source_repo": {
"default_branch": "text",
"fork_id": 1,
"id": 1,
"identifier": "text",
"parent_id": 1,
"path": "text",
"type": "text"
},
"source_repo_id": 1,
"source_sha": "text",
"state": "closed",
"stats": {
"additions": 1,
"commits": 1,
"conversations": 1,
"deletions": 1,
"files_changed": 1,
"unresolved_count": 1
},
"substate": "",
"target_branch": "text",
"target_repo_id": 1,
"title": "text",
"updated": 1
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"check_summary": {
"error": 1,
"failure": 1,
"failure_ignored": 1,
"pending": 1,
"running": 1,
"success": 1
},
"closed": 1,
"created": 1,
"description": "text",
"edited": 1,
"is_draft": true,
"labels": [
{
"color": "blue",
"id": 1,
"key": "text",
"scope": 1,
"value": "text",
"value_color": "blue",
"value_count": 1,
"value_id": 1
}
],
"merge_base_sha": "text",
"merge_check_status": "text",
"merge_conflicts": [
"text"
],
"merge_method": "fast-forward",
"merge_target_sha": "text",
"merge_violations_bypassed": true,
"merged": 1,
"merger": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"number": 1,
"pullreq_type": "text",
"rebase_check_status": "text",
"rebase_conflicts": [
"text"
],
"root_space_id": 1,
"root_space_identifier": "text",
"rules": [
{
"identifier": "text",
"repo_path": "text",
"space_path": "text",
"state": "active",
"type": "branch"
}
],
"source_branch": "text",
"source_repo": {
"default_branch": "text",
"fork_id": 1,
"id": 1,
"identifier": "text",
"parent_id": 1,
"path": "text",
"type": "text"
},
"source_repo_id": 1,
"source_sha": "text",
"state": "closed",
"stats": {
"additions": 1,
"commits": 1,
"conversations": 1,
"deletions": 1,
"files_changed": 1,
"unresolved_count": 1
},
"substate": "",
"target_branch": "text",
"target_repo_id": 1,
"title": "text",
"updated": 1
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
PATCH /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 37
{
"description": "text",
"title": "text"
}{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"check_summary": {
"error": 1,
"failure": 1,
"failure_ignored": 1,
"pending": 1,
"running": 1,
"success": 1
},
"closed": 1,
"created": 1,
"description": "text",
"edited": 1,
"is_draft": true,
"labels": [
{
"color": "blue",
"id": 1,
"key": "text",
"scope": 1,
"value": "text",
"value_color": "blue",
"value_count": 1,
"value_id": 1
}
],
"merge_base_sha": "text",
"merge_check_status": "text",
"merge_conflicts": [
"text"
],
"merge_method": "fast-forward",
"merge_target_sha": "text",
"merge_violations_bypassed": true,
"merged": 1,
"merger": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"number": 1,
"pullreq_type": "text",
"rebase_check_status": "text",
"rebase_conflicts": [
"text"
],
"root_space_id": 1,
"root_space_identifier": "text",
"rules": [
{
"identifier": "text",
"repo_path": "text",
"space_path": "text",
"state": "active",
"type": "branch"
}
],
"source_branch": "text",
"source_repo": {
"default_branch": "text",
"fork_id": 1,
"id": 1,
"identifier": "text",
"parent_id": 1,
"path": "text",
"type": "text"
},
"source_repo_id": 1,
"source_sha": "text",
"state": "closed",
"stats": {
"additions": 1,
"commits": 1,
"conversations": 1,
"deletions": 1,
"files_changed": 1,
"unresolved_count": 1
},
"substate": "",
"target_branch": "text",
"target_repo_id": 1,
"title": "text",
"updated": 1
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
The result should contain only entries created at and after this timestamp (unix millis).
The result should contain only entries created before this timestamp (unix millis).
The maximum number of results to return.
30OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/activities?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"code_comment": {
"line_new": 1,
"line_old": 1,
"merge_base_sha": "text",
"outdated": true,
"path": "text",
"source_sha": "text",
"span_new": 1,
"span_old": 1
},
"created": 1,
"deleted": 1,
"edited": 1,
"id": 1,
"kind": "change-comment",
"mentions": {
"ANY_ADDITIONAL_PROPERTY": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
}
},
"metadata": {
"mentions": {
"ids": [
1
],
"user_group_ids": [
1
]
},
"reactions": {
"counts": {
"ANY_ADDITIONAL_PROPERTY": [
1
]
}
},
"suggestions": {
"applied_check_sum": "text",
"applied_commit_sha": "text",
"check_sums": [
"text"
]
}
},
"order": 1,
"parent_id": 1,
"payload": null,
"pullreq_id": 1,
"reactions": [
{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"emoji": "text"
}
],
"repo_id": 1,
"resolved": 1,
"resolver": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sub_order": 1,
"text": "text",
"type": "auto-merge-disabled-branch-update",
"updated": 1,
"user_group_mentions": {
"ANY_ADDITIONAL_PROPERTY": {
"description": "text",
"id": 1,
"identifier": "text",
"name": "text",
"scope": 1
}
}
}
]Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/automerge?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"created": 1,
"delete_branch": true,
"merge_method": "fast-forward",
"merge_response": {
"allowed_methods": [
"fast-forward"
],
"branch_deleted": true,
"conflict_files": [
"text"
],
"default_reviewer_approvals": [
{
"current_count": 1,
"evaluations": [
{
"decision": "approved",
"reviewer": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sha": "text",
"updated": 1
}
],
"minimum_required_count": 1,
"minimum_required_count_latest": 1,
"principals": [
{
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
}
],
"user_groups": [
{
"description": "text",
"id": 1,
"identifier": "text",
"name": "text",
"scope": 1
}
]
}
],
"dry_run": true,
"dry_run_rules": true,
"mergeable": true,
"minimum_required_approvals_count": 1,
"minimum_required_approvals_count_latest": 1,
"requires_bypass_message": true,
"requires_code_owners_approval": true,
"requires_code_owners_approval_latest": true,
"requires_comment_resolution": true,
"requires_merge_queue": true,
"requires_no_change_requests": true,
"requires_target_is_ancestor": true,
"rule_violations": [
{
"bypassable": true,
"bypassed": true,
"rule": {
"identifier": "text",
"repo_path": "text",
"space_path": "text",
"state": "active",
"type": "branch"
},
"violations": [
{
"code": "text",
"message": "text",
"params": []
}
]
}
],
"sha": "text"
},
"message": "text",
"pull_request_state": "closed",
"pull_request_sub_state": "",
"requested_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"title": "text"
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/automerge?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 85
{
"delete_source_branch": true,
"message": "text",
"method": "fast-forward",
"title": "text"
}{
"created": 1,
"delete_branch": true,
"merge_method": "fast-forward",
"merge_response": {
"allowed_methods": [
"fast-forward"
],
"branch_deleted": true,
"conflict_files": [
"text"
],
"default_reviewer_approvals": [
{
"current_count": 1,
"evaluations": [
{
"decision": "approved",
"reviewer": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sha": "text",
"updated": 1
}
],
"minimum_required_count": 1,
"minimum_required_count_latest": 1,
"principals": [
{
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
}
],
"user_groups": [
{
"description": "text",
"id": 1,
"identifier": "text",
"name": "text",
"scope": 1
}
]
}
],
"dry_run": true,
"dry_run_rules": true,
"mergeable": true,
"minimum_required_approvals_count": 1,
"minimum_required_approvals_count_latest": 1,
"requires_bypass_message": true,
"requires_code_owners_approval": true,
"requires_code_owners_approval_latest": true,
"requires_comment_resolution": true,
"requires_merge_queue": true,
"requires_no_change_requests": true,
"requires_target_is_ancestor": true,
"rule_violations": [
{
"bypassable": true,
"bypassed": true,
"rule": {
"identifier": "text",
"repo_path": "text",
"space_path": "text",
"state": "active",
"type": "branch"
},
"violations": [
{
"code": "text",
"message": "text",
"params": []
}
]
}
],
"sha": "text"
},
"message": "text",
"pull_request_state": "closed",
"pull_request_sub_state": "",
"requested_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"title": "text"
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
No Content
No content
Bad Request
Unauthorized
Forbidden
Internal Server Error
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/automerge?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Created
Git object hash
Bad Request
Unauthorized
Forbidden
Conflict
Unprocessable Entity
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/branch?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 42
{
"bypass_rules": true,
"dry_run_rules": true
}{
"commit": {
"author": {
"identity": {
"email": "text",
"name": "text"
},
"when": "2026-01-01T00:00:00.000Z"
},
"committer": {
"identity": {
"email": "text",
"name": "text"
},
"when": "2026-01-01T00:00:00.000Z"
},
"message": "text",
"parent_shas": [
"text"
],
"sha": "text",
"signature": {
"created": 1,
"key_fingerprint": "text",
"key_id": "text",
"key_scheme": "pgp",
"result": "bad",
"updated": 1
},
"stats": {
"files": [
{
"changes": 1,
"deletions": 1,
"insertions": 1,
"old_path": "text",
"path": "text",
"status": "text"
}
],
"total": {
"changes": 1,
"deletions": 1,
"insertions": 1
}
},
"title": "text"
},
"dry_run_rules": true,
"name": "text",
"rule_violations": [
{
"bypassable": true,
"bypassed": true,
"rule": {
"identifier": "text",
"repo_path": "text",
"space_path": "text",
"state": "active",
"type": "branch"
},
"violations": [
{
"code": "text",
"message": "text",
"params": []
}
]
}
],
"sha": "text"
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Unauthorized
Forbidden
Not Found
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/checks?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"checks": [
{
"bypassable": true,
"check": {
"bypassed_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"created": 1,
"ended": 1,
"id": 1,
"identifier": "text",
"link": "text",
"metadata": null,
"payload": {
"data": null,
"kind": "",
"version": "text"
},
"reported_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"started": 1,
"status": "error",
"summary": "text",
"updated": 1
},
"required": true
}
],
"commit_sha": "text"
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Not Found
Unprocessable Entity
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/codeowners?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"evaluation_entries": [
{
"line_number": 1,
"owner_evaluations": [
{
"owner": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"review_decision": "approved",
"review_sha": "text"
}
],
"pattern": "text",
"user_group_owner_evaluations": [
{
"evaluations": [
{
"owner": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"review_decision": "approved",
"review_sha": "text"
}
],
"id": "text",
"name": "text"
}
]
}
],
"file_sha": "text"
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Created
Bad Request
Unauthorized
Forbidden
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 167
{
"line_end": 1,
"line_end_new": true,
"line_start": 1,
"line_start_new": true,
"parent_id": 1,
"path": "text",
"source_commit_sha": "text",
"target_commit_sha": "text",
"text": "text"
}{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"code_comment": {
"line_new": 1,
"line_old": 1,
"merge_base_sha": "text",
"outdated": true,
"path": "text",
"source_sha": "text",
"span_new": 1,
"span_old": 1
},
"created": 1,
"deleted": 1,
"edited": 1,
"id": 1,
"kind": "change-comment",
"mentions": {
"ANY_ADDITIONAL_PROPERTY": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
}
},
"metadata": {
"mentions": {
"ids": [
1
],
"user_group_ids": [
1
]
},
"reactions": {
"counts": {
"ANY_ADDITIONAL_PROPERTY": [
1
]
}
},
"suggestions": {
"applied_check_sum": "text",
"applied_commit_sha": "text",
"check_sums": [
"text"
]
}
},
"order": 1,
"parent_id": 1,
"payload": null,
"pullreq_id": 1,
"reactions": [
{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"emoji": "text"
}
],
"repo_id": 1,
"resolved": 1,
"resolver": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sub_order": 1,
"text": "text",
"type": "auto-merge-disabled-branch-update",
"updated": 1,
"user_group_mentions": {
"ANY_ADDITIONAL_PROPERTY": {
"description": "text",
"id": 1,
"identifier": "text",
"name": "text",
"scope": 1
}
}
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
No Content
No content
Bad Request
Unauthorized
Forbidden
Internal Server Error
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
PATCH /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"text": "text"
}{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"code_comment": {
"line_new": 1,
"line_old": 1,
"merge_base_sha": "text",
"outdated": true,
"path": "text",
"source_sha": "text",
"span_new": 1,
"span_old": 1
},
"created": 1,
"deleted": 1,
"edited": 1,
"id": 1,
"kind": "change-comment",
"mentions": {
"ANY_ADDITIONAL_PROPERTY": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
}
},
"metadata": {
"mentions": {
"ids": [
1
],
"user_group_ids": [
1
]
},
"reactions": {
"counts": {
"ANY_ADDITIONAL_PROPERTY": [
1
]
}
},
"suggestions": {
"applied_check_sum": "text",
"applied_commit_sha": "text",
"check_sums": [
"text"
]
}
},
"order": 1,
"parent_id": 1,
"payload": null,
"pullreq_id": 1,
"reactions": [
{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"emoji": "text"
}
],
"repo_id": 1,
"resolved": 1,
"resolver": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sub_order": 1,
"text": "text",
"type": "auto-merge-disabled-branch-update",
"updated": 1,
"user_group_mentions": {
"ANY_ADDITIONAL_PROPERTY": {
"description": "text",
"id": 1,
"identifier": "text",
"name": "text",
"scope": 1
}
}
}Created
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}/reactions/{pullreq_reaction_emoji} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"emoji": "text"
}No Content
No content
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}/reactions/{pullreq_reaction_emoji} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/{pullreq_comment_id}/status?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"status": "active"
}{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"code_comment": {
"line_new": 1,
"line_old": 1,
"merge_base_sha": "text",
"outdated": true,
"path": "text",
"source_sha": "text",
"span_new": 1,
"span_old": 1
},
"created": 1,
"deleted": 1,
"edited": 1,
"id": 1,
"kind": "change-comment",
"mentions": {
"ANY_ADDITIONAL_PROPERTY": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
}
},
"metadata": {
"mentions": {
"ids": [
1
],
"user_group_ids": [
1
]
},
"reactions": {
"counts": {
"ANY_ADDITIONAL_PROPERTY": [
1
]
}
},
"suggestions": {
"applied_check_sum": "text",
"applied_commit_sha": "text",
"check_sums": [
"text"
]
}
},
"order": 1,
"parent_id": 1,
"payload": null,
"pullreq_id": 1,
"reactions": [
{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"emoji": "text"
}
],
"repo_id": 1,
"resolved": 1,
"resolver": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sub_order": 1,
"text": "text",
"type": "auto-merge-disabled-branch-update",
"updated": 1,
"user_group_mentions": {
"ANY_ADDITIONAL_PROPERTY": {
"description": "text",
"id": 1,
"identifier": "text",
"name": "text",
"scope": 1
}
}
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Unprocessable Entity
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/comments/apply-suggestions?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 126
{
"bypass_rules": true,
"dry_run_rules": true,
"message": "text",
"suggestions": [
{
"check_sum": "text",
"comment_id": 1
}
],
"title": "text"
}{
"commit_id": "text",
"dry_run_rules": true,
"rule_violations": [
{
"bypassable": true,
"bypassed": true,
"rule": {
"identifier": "text",
"repo_path": "text",
"space_path": "text",
"state": "active",
"type": "branch"
},
"violations": [
{
"code": "text",
"message": "text",
"params": []
}
]
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
The page to return.
1The maximum number of results to return.
30OK
Git object hash
Git object hash
Unauthorized
Forbidden
Not Found
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/commits?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"author": {
"identity": {
"email": "text",
"name": "text"
},
"when": "2026-01-01T00:00:00.000Z"
},
"committer": {
"identity": {
"email": "text",
"name": "text"
},
"when": "2026-01-01T00:00:00.000Z"
},
"message": "text",
"parent_shas": [
"text"
],
"sha": "text",
"signature": {
"created": 1,
"key_fingerprint": "text",
"key_id": "text",
"key_scheme": "pgp",
"result": "bad",
"updated": 1
},
"stats": {
"files": [
{
"changes": 1,
"deletions": 1,
"insertions": 1,
"old_path": "text",
"path": "text",
"status": "text"
}
],
"total": {
"changes": 1,
"deletions": 1,
"insertions": 1
}
},
"title": "text"
}
]Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
provide path for diff operation
OK
Unauthorized
Forbidden
Not Found
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/diff?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"additions": 1,
"changes": 1,
"deletions": 1,
"is_binary": true,
"is_submodule": true,
"old_path": "text",
"old_sha": "text",
"patch": [
1
],
"path": "text",
"sha": "text",
"status": "text"
}
]Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Unauthorized
Forbidden
Not Found
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/diff?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 32
[
{
"path": "text",
"start_line": 1
}
][
{
"additions": 1,
"changes": 1,
"deletions": 1,
"is_binary": true,
"is_submodule": true,
"old_path": "text",
"old_sha": "text",
"patch": [
1
],
"path": "text",
"sha": "text",
"status": "text"
}
]Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/file-views?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"obsolete": true,
"path": "text",
"sha": "text"
}
]Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/file-views?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 35
{
"commit_sha": "text",
"path": "text"
}{
"obsolete": true,
"path": "text",
"sha": "text"
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
No Content
No content
Bad Request
Unauthorized
Forbidden
Internal Server Error
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/file-views/{file_path}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Not Found
Method Not Allowed
Conflict
Unprocessable Entity
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/merge?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 185
{
"bypass_message": "text",
"bypass_rules": true,
"delete_source_branch": true,
"dry_run": true,
"dry_run_rules": true,
"message": "text",
"method": "fast-forward",
"source_sha": "text",
"title": "text"
}{
"allowed_methods": [
"fast-forward"
],
"branch_deleted": true,
"conflict_files": [
"text"
],
"default_reviewer_approvals": [
{
"current_count": 1,
"evaluations": [
{
"decision": "approved",
"reviewer": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sha": "text",
"updated": 1
}
],
"minimum_required_count": 1,
"minimum_required_count_latest": 1,
"principals": [
{
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
}
],
"user_groups": [
{
"description": "text",
"id": 1,
"identifier": "text",
"name": "text",
"scope": 1
}
]
}
],
"dry_run": true,
"dry_run_rules": true,
"mergeable": true,
"minimum_required_approvals_count": 1,
"minimum_required_approvals_count_latest": 1,
"requires_bypass_message": true,
"requires_code_owners_approval": true,
"requires_code_owners_approval_latest": true,
"requires_comment_resolution": true,
"requires_merge_queue": true,
"requires_no_change_requests": true,
"requires_target_is_ancestor": true,
"rule_violations": [
{
"bypassable": true,
"bypassed": true,
"rule": {
"identifier": "text",
"repo_path": "text",
"space_path": "text",
"state": "active",
"type": "branch"
},
"violations": [
{
"code": "text",
"message": "text",
"params": []
}
]
}
],
"sha": "text"
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Git object hash
Git object hash
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"checks": [
{
"bypassable": true,
"check": {
"bypassed_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"created": 1,
"ended": 1,
"id": 1,
"identifier": "text",
"link": "text",
"metadata": null,
"payload": {
"data": null,
"kind": "",
"version": "text"
},
"reported_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"started": 1,
"status": "error",
"summary": "text",
"updated": 1
},
"required": true
}
],
"checks_commit_sha": "text",
"merge_commit_sha": "text",
"merge_method": "fast-forward",
"pull_requests_ahead": 1,
"state": "checks_in_progress"
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Git object hash
Git object hash
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 105
{
"bypass_rules": true,
"delete_source_branch": true,
"message": "text",
"method": "fast-forward",
"title": "text"
}{
"checks": [
{
"bypassable": true,
"check": {
"bypassed_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"created": 1,
"ended": 1,
"id": 1,
"identifier": "text",
"link": "text",
"metadata": null,
"payload": {
"data": null,
"kind": "",
"version": "text"
},
"reported_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"started": 1,
"status": "error",
"summary": "text",
"updated": 1
},
"required": true
}
],
"checks_commit_sha": "text",
"merge_commit_sha": "text",
"merge_method": "fast-forward",
"pull_requests_ahead": 1,
"state": "checks_in_progress"
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
No Content
No content
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
No Content
No content
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/mergequeue/prioritize?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Unauthorized
Forbidden
Not Found
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/metadata?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"additions": 1,
"commits": 1,
"conversations": 1,
"deletions": 1,
"files_changed": 1,
"unresolved_count": 1
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Not Found
Method Not Allowed
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/revert?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 56
{
"message": "text",
"revert_branch": "text",
"title": "text"
}{
"branch": "text",
"commit": {
"author": {
"identity": {
"email": "text",
"name": "text"
},
"when": "2026-01-01T00:00:00.000Z"
},
"committer": {
"identity": {
"email": "text",
"name": "text"
},
"when": "2026-01-01T00:00:00.000Z"
},
"message": "text",
"parent_shas": [
"text"
],
"sha": "text",
"signature": {
"created": 1,
"key_fingerprint": "text",
"key_id": "text",
"key_scheme": "pgp",
"result": "bad",
"updated": 1
},
"stats": {
"files": [
{
"changes": 1,
"deletions": 1,
"insertions": 1,
"old_path": "text",
"path": "text",
"status": "text"
}
],
"total": {
"changes": 1,
"deletions": 1,
"insertions": 1
}
},
"title": "text"
}
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"added_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"created": 1,
"latest_review_id": 1,
"review_decision": "approved",
"reviewer": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sha": "text",
"type": "assigned",
"updated": 1
}
]Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"reviewer_id": 1
}{
"added_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"created": 1,
"latest_review_id": 1,
"review_decision": "approved",
"reviewer": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sha": "text",
"type": "assigned",
"updated": 1
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
No Content
No content
Bad Request
Unauthorized
Forbidden
Internal Server Error
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/{pullreq_reviewer_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/combined?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"reviewers": [
{
"added_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"created": 1,
"latest_review_id": 1,
"review_decision": "approved",
"reviewer": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sha": "text",
"type": "assigned",
"updated": 1
}
],
"user_group_reviewers": [
{
"added_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"created": 1,
"decision": "approved",
"sha": "text",
"updated": 1,
"user_decisions": [
{
"decision": "approved",
"reviewer": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sha": "text",
"updated": 1
}
],
"user_group": {
"description": "text",
"id": 1,
"identifier": "text",
"name": "text",
"scope": 1
}
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/usergroups?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 18
{
"usergroup_id": 1
}{
"added_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"created": 1,
"decision": "approved",
"sha": "text",
"updated": 1,
"user_decisions": [
{
"decision": "approved",
"reviewer": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sha": "text",
"updated": 1
}
],
"user_group": {
"description": "text",
"id": 1,
"identifier": "text",
"name": "text",
"scope": 1
}
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
No Content
No content
Bad Request
Unauthorized
Forbidden
Internal Server Error
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviewers/usergroups/{user_group_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
No Content
No content
Bad Request
Unauthorized
Forbidden
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/reviews?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 43
{
"commit_sha": "text",
"decision": "approved"
}No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/state?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 34
{
"is_draft": true,
"state": "closed"
}{
"author": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"check_summary": {
"error": 1,
"failure": 1,
"failure_ignored": 1,
"pending": 1,
"running": 1,
"success": 1
},
"closed": 1,
"created": 1,
"description": "text",
"edited": 1,
"is_draft": true,
"labels": [
{
"color": "blue",
"id": 1,
"key": "text",
"scope": 1,
"value": "text",
"value_color": "blue",
"value_count": 1,
"value_id": 1
}
],
"merge_base_sha": "text",
"merge_check_status": "text",
"merge_conflicts": [
"text"
],
"merge_method": "fast-forward",
"merge_target_sha": "text",
"merge_violations_bypassed": true,
"merged": 1,
"merger": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"number": 1,
"pullreq_type": "text",
"rebase_check_status": "text",
"rebase_conflicts": [
"text"
],
"root_space_id": 1,
"root_space_identifier": "text",
"rules": [
{
"identifier": "text",
"repo_path": "text",
"space_path": "text",
"state": "active",
"type": "branch"
}
],
"source_branch": "text",
"source_repo": {
"default_branch": "text",
"fork_id": 1,
"id": 1,
"identifier": "text",
"parent_id": 1,
"path": "text",
"type": "text"
},
"source_repo_id": 1,
"source_sha": "text",
"state": "closed",
"stats": {
"additions": 1,
"commits": 1,
"conversations": 1,
"deletions": 1,
"files_changed": 1,
"unresolved_count": 1
},
"substate": "",
"target_branch": "text",
"target_repo_id": 1,
"title": "text",
"updated": 1
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
The page to return.
1The maximum number of results to return.
30OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
[
{
"label": {
"assigned": true,
"color": "blue",
"id": 1,
"key": "text",
"scope": 1,
"type": "dynamic"
},
"suggested": 1,
"suggested_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"value": {
"color": "text",
"id": 1,
"value": "text"
}
}
]Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
No Content
No content
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels/{label_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels/{label_id}/apply?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"created": 1,
"created_by": 1,
"label_id": 1,
"pullreq_id": 1,
"updated": 1,
"updated_by": 1,
"value_id": 1
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
No content
Bad Request
Unauthorized
Forbidden
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/labels/batch?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 40
{
"labels": [
{
"label_id": 1,
"value_id": 1
}
]
}No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
The page to return.
1The maximum number of results to return.
30OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"suggestions": [
{
"reviewer": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"suggested_at": 1,
"suggested_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
}
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
No Content
No content
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
DELETE /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers/{principal_id}?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers/{principal_id}/apply?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"added_by": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"created": 1,
"latest_review_id": 1,
"review_decision": "approved",
"reviewer": {
"created": 1,
"display_name": "text",
"email": "text",
"id": 1,
"type": "service",
"uid": "text",
"updated": 1
},
"sha": "text",
"type": "assigned",
"updated": 1
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
No content
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
POST /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/suggestions/reviewers/batch?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 20
{
"reviewer_ids": [
1
]
}No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
OK
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/view?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"groups": [
{
"created": 1,
"description": "text",
"files": [
{
"new_sha": "text",
"old_sha": "text",
"path": "text"
}
],
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"title": "text",
"updated": 1
}
]
}Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Git object hash
Git object hash
No Content
No content
Bad Request
Unauthorized
Forbidden
Internal Server Error
PUT /code/api/v1/repos/{repo_identifier}/pullreq/{pullreq_number}/view?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 153
{
"groups": [
{
"description": "text",
"files": [
"text"
],
"tags": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"title": "text"
}
],
"merge_base_sha": "text",
"source_sha": "text"
}No content
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
The maximum number of results to return.
30OK
Bad Request
Unauthorized
Forbidden
Internal Server Error
GET /code/api/v1/repos/{repo_identifier}/pullreq/candidates?accountIdentifier=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-key: YOUR_API_KEY
Accept: */*
{
"created": 1,
"created_by": 1,
"last_created_pull_req_id": 1,
"name": "text",
"updated": 1,
"updated_by": 1
}Last updated
Was this helpful?